Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® World™ Development

Reply
New Contributor
jamescvnt
Posts: 5
Registered: ‎08-06-2008
My Device: Not Specified
Accepted Solution

Can't add Playbook support to current BlackBerry World BB10 release of our app

[ Edited ]
 
When attempted to add a release to add Playbook support for our "Hotels.com Worldwide" app we are still getting error message "File bundle (hpb.bar) has been rejected. Package ID is required for all .bar file. If this is an upgrade, Package ID must match Package ID in original file bundle." and could not complete the upload.
 
The Package-Author (in the xml file) and the signing key are all the same as the original app we released for BB10 handsets.
 
The Package-Name for the Playbook build is a random code which is different from our BB10 build. How can we change the "Package-Name" of the Playbook build to be the same as our BB10 release? Please advise!
 
Thanks,
 
James
Please use plain text.
Contributor
DMA2011
Posts: 33
Registered: ‎09-19-2011
My Device: playbook
My Carrier: none

Re: Can't add Playbook support to current BlackBerry World BB10 release of our app

Hi

Had a similar issue - but in reverse - adding a BB10 release to a current playbook release.

 

Here is how I got round it - should work in reverse I think.

 

1. open the playbook .bar file

 

2. open the MANIFEST.MF in the META-INF folder

 

3. get the package name ( here is an example from one of my packages.

Package-Name: tablet3731b5c1d4101618595519828bae380ff4

 

4. change the bb10 config file to include the package name :-

<widget xmlns="http://www.w3.org/ns/widgets" xmlns:rim="http://www.blackberry.com/ns/widgets" version="1.0.3" id="tablet3731b5c1d4101618595519828bae380ff4">

 

Hope this helps

 

 

Please use plain text.